// Declaración (.h)
#include <iostream>

template  <class T>
class Punto{
private:
  T coordx;
  T coordy;
public:
  Punto(T n);
  ~Punto(){};
  void escribe();
};

template  <class T>
Punto<T>::Punto(T n){
  coordx = n;
  coordy = n;
}

template  <class T>
void Punto<T>::escribe(){
  std::cout << coordx << "," << coordy << std::endl;
}
